Subject: bug#7497: problem about auto adding newline at the end of file

From: 李银璠 <[email-masked]>
Date: Fri, 3 Dec 2010 14:27:36 +0800

Dear sir/lady,
I have fixed my problem. It turned out to be no bug.
It was a major mode that use mode-require-final-newline. Thank you very much
for your instructions. I used almost one week to understand the instructions
(I was quite new to emacs).
Sorry if I wasted your time.

On Sat, Nov 27, 2010 at 8:31 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sat, 27 Nov 2010 18:53:17 +0800
> > From: 李银璠 <[email-masked]>
> > Cc:
> >
> > My emacs does not behave as stated in the documentation,
> >
> http://www.gnu.org/software/emacs/manual/html_node/emacs/Customize-Save.html#Customize-Save
> > .
> >
> > In the documentation, it is said that, if require-final-newline is set to
> > nil, no changes would be adapted to my files, leaving them not ended with
> > newline (0x0d0a).
> > My emacs, on the other hand, always adds newline at the end of file,
> > automatically, even when I add (setq-default require-final-newline nil);
> or
> > (setq require-final-newline nil);to .emacs. (I tried them both)
> >
> > I don't know if it is a bug, or it is caused by my wrong operation. I'm
> > using Ubuntu 10.10, emacs 23.1.1
>
> I cannot reproduce this in Emacs 23.1.  Please show a complete recipe,
> starting with "emacs -Q", to reproduce this problem.
>
> One possibility is that you see this in a file that turns a major mode
> which uses mode-require-final-newline to set the buffer-local value of
> require-final-newline.  In that case, you may wish to customize
> mode-require-final-newline, or maybe reset require-final-newline in a
> mode hook.
>